# 
# Usage: To re-create this platform project launch xsct with below options.
# xsct C:\Projects\Callisto_K7\ddr3_mem_test\Vitis\ddr3_mem_test_wrapper\platform.tcl
# 
# OR launch xsct and run below command.
# source C:\Projects\Callisto_K7\ddr3_mem_test\Vitis\ddr3_mem_test_wrapper\platform.tcl
# 
# To create the platform in a different location, modify the -out option of "platform create" command.
# -out option specifies the output directory of the platform project.

platform create -name {ddr3_mem_test_wrapper}\
-hw {C:\Projects\Callisto_K7\ddr3_mem_test\ddr3_mem_test_wrapper.xsa}\
-out {C:/Projects/Callisto_K7/ddr3_mem_test/Vitis}

platform write
domain create -name {standalone_microblaze_0} -display-name {standalone_microblaze_0} -os {standalone} -proc {microblaze_0} -runtime {cpp} -arch {32-bit} -support-app {memory_tests}
platform generate -domains 
platform active {ddr3_mem_test_wrapper}
platform generate -quick
platform generate
