# Usage with Vitis IDE:
# In Vitis IDE create a Single Application Debug launch configuration,
# change the debug type to 'Attach to running target' and provide this 
# tcl script in 'Execute Script' option.
# Path of this script: C:\Projects\Callisto_K7\ddr3_mem_test\Vitis\ddr3_mem_test_system\_ide\scripts\debugger_ddr3_mem_test-default.tcl
# 
# 
# Usage with xsct:
# To debug using xsct, launch xsct and run below command
# source C:\Projects\Callisto_K7\ddr3_mem_test\Vitis\ddr3_mem_test_system\_ide\scripts\debugger_ddr3_mem_test-default.tcl
# 
connect -url tcp:127.0.0.1:3121
targets -set -filter {jtag_cable_name =~ "Platform Cable USB 000016387e9301" && level==0 && jtag_device_ctx=="jsn-DLC9LP-000016387e9301-0364c093-0"}
fpga -file C:/Projects/Callisto_K7/ddr3_mem_test/Vitis/ddr3_mem_test/_ide/bitstream/download.bit
targets -set -nocase -filter {name =~ "*microblaze*#0" && bscan=="USER2" }
loadhw -hw C:/Projects/Callisto_K7/ddr3_mem_test/Vitis/ddr3_mem_test_wrapper/export/ddr3_mem_test_wrapper/hw/ddr3_mem_test_wrapper.xsa -regs
configparams mdm-detect-bscan-mask 2
targets -set -nocase -filter {name =~ "*microblaze*#0" && bscan=="USER2" }
rst -system
after 3000
targets -set -nocase -filter {name =~ "*microblaze*#0" && bscan=="USER2" }
dow C:/Projects/Callisto_K7/ddr3_mem_test/Vitis/ddr3_mem_test/Debug/ddr3_mem_test.elf
targets -set -nocase -filter {name =~ "*microblaze*#0" && bscan=="USER2" }
con
